/* ====== STOPKA ====== */
.footer {
    background-color: #1d6f38; /* ciemna zieleń */
    width: 100%;
    font-family: 'Gill Sans', sans-serif;
    color: #ffffff; /* kremowy tekst */
}

.footer-container {
    padding: 80px 0 20px 0;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
    max-width: 1340px;
    margin: auto;
}

.footer-logo {
    display: flex;
    flex-direction: column;
    align-items: center;

}

.footer-logo img {
    height: 100px;
    width: 220px;
    margin-bottom: 0px;
}
.partner-logo{
  height: 120px !important;
}

.motto {
    font-size: 22px;
    font-weight: bold;
    margin-top: 10px;
    color: #f7941d; /* pomarańczowe motto */
    text-align: center;
}

.footer-section {
    min-width: 150px;
}

.footer-section h4 a {
    font-size: 20px;
    margin-bottom: 16px;
    color: #f7941d; /* Twój pomarańczowy akcent */
}
.footer-section h4  {
    font-size: 20px;
    margin-bottom: 16px;
    color: #f7941d; /* Twój pomarańczowy akcent */
}

.footer-section p {
    margin: 10px 0;
    font-size: 14px;
}

.footer-section a {
    font-size: 14px;
    text-decoration: none;
    color: #fef0dc;
    transition: color 0.3s;
}

.footer-section a:hover {
    color: #f7941d;
}

.footer-section a svg.social-icon {
    width: 20px;
    height: 20px;
    fill: #fef0dc;
    transition: fill 0.3s;
}

.footer-section a:hover svg.social-icon {
    fill: #f7941d;
}

.footer-bottom {
    border-top: 1px white solid;
    text-align: center;
    margin-top: 30px;
    font-size: 14px;
    color: #fef0dc;
}
.footer-bottom p{
    margin-bottom: -10px;
}

.footer-menu-center {
    margin-top: 30px;
    text-align: center;
}

.footer-menu-center a {
    margin: 0 30px;
    color: #fef0dc;
    font-size: 14px;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-menu-center a:hover {
    color: #f7941d;
}


.social-link {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    color: #fef0dc;
    transition: color 0.3s;
}

.social-link:hover {
    color: #f7941d;
}

.social-icon {
    width: 26px;
    height: 26px;
    display: block;
}


/* TELEFONY */
@media (max-width: 776px) {
  .footer-container {
    padding: 40px 20px 80px 20px; /* zwiększony padding na dole */
  }

  .footer-content {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 30px;
  }

  .footer-logo img {
    width: 180px;
    height: auto;
  }

  .motto {
    font-size: 18px;
  }

  .footer-section {
    width: 100%;
  }

  .footer-section h4,
  .footer-section h4 a {
    font-size: 18px;
  }

  .footer-section p,
  .footer-section a {
    font-size: 14px;
  }

  .footer-menu-center {
    margin-top: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 16px;
    text-align: center;
  }

  .footer-menu-center a {
    margin: 0;
    font-size: 14px;
  }

  .footer-bottom {
    font-size: 12px;
    margin-top: 20px;
  }
}

/* TABLETY */
@media (min-width: 777px) and (max-width: 1024px) {
  .footer-container {
    padding: 60px 30px 80px 30px; /* zwiększony padding na dole */
  }

  .footer-content {
    flex-wrap: wrap;
    justify-content: space-between;
    text-align: left;
    gap: 20px;
  }

  .footer-section,
  .footer-logo {
    flex: 1 1 22%; /* 4 kolumny */
    min-width: 160px;
    max-width: 25%;
  }

  .footer-logo img {
    height: 80px;
    width: 180px;
  }

  .motto {
    font-size: 20px;
  }

  .footer-section h4,
  .footer-section h4 a {
    font-size: 18px;
  }

  .footer-section p,
  .footer-section a {
    font-size: 13px;
  }

  .footer-menu-center {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 30px;
    gap: 20px;
    text-align: center;
  }

  .footer-menu-center a {
    font-size: 13px;
    margin: 0;
  }

  .footer-bottom {
    font-size: 13px;
    margin-top: 20px;
  }

  .social-icon {
    width: 22px;
    height: 22px;
  }
}

